Skip to main content
GET
/
atlas
/
settlements
/
{settlementId}
Get a settlement by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId} \
  --header 'Api-Access-Key: <api-key>'
{
  "settlement": {
    "acceptorSide": {
      "participantId": "<string>",
      "authorized": true,
      "feesFunded": true,
      "funded": true,
      "gasStationEnabled": true,
      "walletAmounts": [
        {
          "assetType": "BTC",
          "quantity": "10.45234733",
          "walletId": "<string>"
        }
      ]
    },
    "clientReferenceId": "<string>",
    "pendingAcceptorReview": true,
    "proposerSide": {
      "participantId": "<string>",
      "authorized": true,
      "feesFunded": true,
      "funded": true,
      "gasStationEnabled": true,
      "walletAmounts": [
        {
          "assetType": "BTC",
          "quantity": "10.45234733",
          "walletId": "<string>"
        }
      ]
    },
    "settlementId": "<string>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

settlementId
string
required

ID of settlement to fetch

Response

settlement

settlement
object
required

A settlement is a proposal to move assets between wallets owned by two participants.

When the settlement status is ActionNeeded, refer to your participant's settlement side (proposerSide or acceptorSide) for more detailed information. Fields on the settlement side reflect the individual actions needed.